### A free/open-source library for quantitative finance

Public Member Functions
RangeAccrualLeg Class Reference

helper class building a sequence of range-accrual floating-rate coupons More...

`#include <ql/cashflows/rangeaccrual.hpp>`

List of all members.

## Public Member Functions

| RangeAccrualLeg (const Schedule &schedule, const boost::shared_ptr< IborIndex > &index)
RangeAccrualLeg & | withNotionals (Real notional)
RangeAccrualLeg & | withNotionals (const std::vector< Real > &notionals)
RangeAccrualLeg & | withPaymentDayCounter (const DayCounter &)
RangeAccrualLeg & | withPaymentAdjustment (BusinessDayConvention)
RangeAccrualLeg & | withFixingDays (Natural fixingDays)
RangeAccrualLeg & | withFixingDays (const std::vector< Natural > &fixingDays)
RangeAccrualLeg & | withGearings (Real gearing)
RangeAccrualLeg & | withGearings (const std::vector< Real > &gearings)
RangeAccrualLeg & | withSpreads (Spread spread)
RangeAccrualLeg & | withSpreads (const std::vector< Spread > &spreads)
RangeAccrualLeg & | withLowerTriggers (Rate trigger)
RangeAccrualLeg & | withLowerTriggers (const std::vector< Rate > &triggers)
RangeAccrualLeg & | withUpperTriggers (Rate trigger)
RangeAccrualLeg & | withUpperTriggers (const std::vector< Rate > &triggers)
RangeAccrualLeg & | withObservationTenor (const Period &)
RangeAccrualLeg & | withObservationConvention (BusinessDayConvention)
| operator Leg () const

## Detailed Description

helper class building a sequence of range-accrual floating-rate coupons